Bug 140377 - HYPERLINK DIALOG: Add folder as target
Summary: HYPERLINK DIALOG: Add folder as target
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2021-02-12 16:59 UTC by Dieter
Modified: 2021-05-09 21:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dieter 2021-02-12 16:59:42 UTC
Actually you need a workaround to add hyperlink with a folder as target:
1. Insert => Hyperlink
2. Document => Select a docment in a folder
3. Delete the last part of the path, so that the path is the path of the folder
4. O.K.
5. If you use the hyperlink the folder is opened and you can select a document

Feature request:
Would be nice, if hyperlink dialog has folder as additional target, where you can easily insert a hyperlink to a folder.

Use case: You've collected some documents about a specific topic in a folder and you want an easy access to all the documents.

cc: Design Team for further input and decision
Comment 1 Heiko Tietze 2021-02-16 12:00:30 UTC
You want to enter a hyperlink pointing to a folder in order to add later any document from this folder. In what scenario is this workflow needed - and given we have a proper workaround do we need more complexity in the UI to support it?
Comment 2 Dieter 2021-02-17 08:26:58 UTC
(In reply to Heiko Tietze from comment #1)
> You want to enter a hyperlink pointing to a folder in order to add later any
> document from this folder.
in order to have easy access to all the odt-documents in that folder


> In what scenario is this workflow needed
I've tried to describe in the original bug report: I have a folder with some documents about a specific topic or abut a specific project. It is very conviniend to add a hyperlink in a text about that project, so I have an easy access and a quick overview.


> - and given we have a proper workaround do we need more complexity in the UI to
> support it?
I'm using LO for almost 10 years and wasn't aware of that possibility. It' not intuitive with the current UI. I'm not sure, if it is much more complexity, if you simply add the folder icon and option to the hyperlink dialog.
Comment 3 Heiko Tietze 2021-02-17 09:50:43 UTC
(In reply to Dieter from comment #2)
> in order to have easy access to all the odt-documents in that folder

Sure, but isn't this a task for the file manager of your OS. I mean, a text processor is usually not meant for document management (besides master documents).

My hesitation comes from the fact that we would have to add another input line, more labels, more interactions. It's confusing to get the difference between path and file (not the actual object, but why two very similar things have to be distinguished).

Nevertheless, the topic is on the meeting agenda and more input is welcome.
Comment 4 Dieter 2021-02-17 11:37:14 UTC
(In reply to Heiko Tietze from comment #3)
> (In reply to Dieter from comment #2)
> > in order to have easy access to all the odt-documents in that folder
> 
> Sure, but isn't this a task for the file manager of your OS. I mean, a text
> processor is usually not meant for document management (besides master
> documents).

Yes, but if I open another document with hyperlink, it is also a kind of file management (I could also do this with the file manager of my OS). With an internal link you can (at least sometimes) save time for document searching.

> My hesitation comes from the fact that we would have to add another input
> line, more labels, more interactions. It's confusing to get the difference
> between path and file (not the actual object, but why two very similar
> things have to be distinguished).
For me the difference between "Link to a docment" and "Link to a folder" is very clear.
 
> Nevertheless, the topic is on the meeting agenda and more input is welcome.
Thank you. If the proposal is rejected we should at least ad informations in LO Help [1] about the option to insert a link to a folder

[1] https://help.libreoffice.org/7.1/en-GB/text/shared/02/09070300.html?&DbPAR=WRITER&System=WIN
Comment 5 Heiko Tietze 2021-02-17 19:31:56 UTC
No more input, so let's forward this to documentation.
Comment 6 Rafael Lima 2021-03-12 22:24:47 UTC
So, just to make sure I understood everything right. The proposal is to update the HYPERLINK Help page, adding an example and an explanation for the following use case:

=HYPERLINK("file:///home/username/Documents/";"Clik Here")

Which will open the OS file manager on that folder. I tested it on my PC and it works fine.

Just let me know if this is the proposed solution, then I'll implement it.
Comment 7 Dieter 2021-03-13 10:16:50 UTC
(In reply to Rafael Lima from comment #6)
> Just let me know if this is the proposed solution, then I'll implement it.

Yes, that's the idea. Thank you!
Comment 8 Commit Notification 2021-03-15 10:39:46 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/f49b8a9bf0d25148085d818006e9ecd344d0ca84

tdf#140377 Add example of Hyperlink to folders
Comment 9 Dieter 2021-05-09 21:08:12 UTC
Verified with

https://help.libreoffice.org/7.2/en-GB/text/shared/02/09070300.html?&DbPAR=WRITER&System=WIN

Rafael, thanks for fixing it!